{{define "general"}}
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>WPlay (v0.4.7 alpha)</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/node-waves/0.7.5/waves.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/notie/4.3.1/notie.min.css">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.15/css/dataTables.material.min.css">
    <link rel="stylesheet" href="css/libs/font-awesome.min.css">
    <link rel="stylesheet" href="css/libs/material.min.css">
    <link rel="stylesheet" href="css/libs/materialPreloader.min.css">
    <link rel="stylesheet" href="css/general.css">
    <noscript><div><img src="https://mc.yandex.ru/watch/45602721" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
</head>
<body>
<div id="init-orgset_patronymics">{{.OrgSettings.Patronymics}}</div>
<div class="mdl-layout mdl-js-layout mdl-layout--fixed-header">
    <header class="mdl-layout__header">
        <div class="mdl-layout__header-row">
            <span class="mdl-layout-title">{{.OrgSettings.Organization}}</span>
        </div>
        <div class="mdl-layout__tab-bar mdl-js-ripple-effect">
            <a href="#general_main" class="mdl-layout__tab is-active">Общая</a>
        </div>
    </header>
    <div class="mdl-layout__drawer">
        <span class="mdl-layout-title">статистика</span>
        <nav class="mdl-navigation">
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info">главная</a>
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/profile">профиль</a>
            {{if .IsAdmin}}<a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/orgset">управление</a>{{end}}
            {{if .IsEmployee}}<a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/marks">баллы</a>{{end}}
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/general">статистика</a>
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/exit">выйти</a>
        </nav>
    </div>
    <main class="mdl-layout__content">
        <section class="mdl-layout__tab-panel is-active" id="general_main">
            <div class="page-content mdl-grid mdl-cell--top">
                <div class="mdl-cell mdl-cell--6-col-desktop mdl-cell--8-col-tablet mdl-cell--4-col-phone">
                    <div class="mdl-card mdl-shadow--2dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">5 лучших ({{.OrgSettings.Participant}})</div>
                        </div>
                        <div class="mdl-card__body mdl-card__body--nopad">
                            <table id="mdl-card__body-table-top5--participants" class="mdl-card__body-table mdl-data-table">
                                <thead>
                                <tr>
                                    <th>ФИО</th>
                                    <th>{{.OrgSettings.Team | toTitleCase}}</th>
                                    <th>Сумма баллов</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="mdl-cell mdl-cell--6-col-desktop mdl-cell--8-col-tablet mdl-cell--4-col-phone">
                    <div class="mdl-card mdl-shadow--2dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">5 лучших ({{.OrgSettings.Participant}})</div>
                        </div>
                        <div class="mdl-card__body">
                            <canvas id="general-chart--top5--participants" height="257px"></canvas>
                        </div>
                    </div>
                </div>
            </div>
            <div class="page-content mdl-grid mdl-cell--top">
                <div class="mdl-cell mdl-cell--6-col-desktop mdl-cell--8-col-tablet mdl-cell--4-col-phone">
                    <div class="mdl-card mdl-shadow--2dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">5 лучших ({{.OrgSettings.Team}})</div>
                        </div>
                        <div class="mdl-card__body mdl-card__body--nopad">
                            <table id="mdl-card__body-table-top5--teams" class="mdl-card__body-table mdl-data-table">
                                <thead>
                                <tr>
                                    <th>Название</th>
                                    <th>Кол-во человек</th>
                                    <th>Сумма баллов</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="mdl-cell mdl-cell--6-col-desktop mdl-cell--8-col-tablet mdl-cell--4-col-phone">
                    <div class="mdl-card mdl-shadow--2dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">5 лучших ({{.OrgSettings.Team}})</div>
                        </div>
                        <div class="mdl-card__body">
                            <canvas id="general-chart--top5--teams" height="257px"></canvas>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
</div>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/randomcolor/0.5.2/randomColor.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.6.0/Chart.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/notie/4.3.1/notie.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-cookie/1.4.1/jquery.cookie.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/node-waves/0.7.5/waves.js"></script>
<script type="text/javascript" src="scripts/libs/materialPreloader.min.js"></script>
<script type="text/javascript" src="scripts/libs/datatables.min.js"></script>
<script type="text/javascript" src="scripts/libs/datatables.material.min.js"></script>
<script type="text/javascript" src="scripts/libs/material.min.js"></script>
<script type="text/javascript" src="scripts/libs/wave_effect.js"></script>
<script type="text/javascript" src="scripts/metrica.js"></script>
<script type="text/javascript" src="scripts/links.js"></script>
<script type="text/javascript" src="scripts/main.js"></script>
<script type="text/javascript" src="scripts/general.js"></script>
</body>
</html>
{{end}}
